You are here: Home / Events / 2016 / 06 / 23 / 2016 ObsPy Tutorial / Logistics

Events: Details

2016 ObsPy Tutorial

Technical Requirements

REQUIREMENTS

  • Basic knowledge of scientific Python. Please register for the Python Tutorial if you have no Python experience.
  • Laptop with Python 3.x + ObsPy + Jupyter Notebooks installed.
  • Basic knowledge of seismology

Computer

ObsPy is currently running and tested on Linux (32 and 64 bit), Windows XP/Vista/7/8 (32 bit and/or 64 bit) and Mac OS X.

Software

Participants are required to bring their own laptop with the following installed:

Python

ObsPy runs on Python 2.6, 2.7, 3.3, and 3.4. 

We recommend installing Python version 3 or higher.  Python may be downloaded here: python.org

Jupyter Notebooks

Download from: jupyter.org

ObsPy

Please download the latest version of ObsPy prior to the tutorial. ObsPy is available through its github repository.   Start here: obspy wiki

Recommended Installation

Datailed instructions for installing the latest version of ObsPy on various operating systems is available through the obspy wiki. PLEASE START HERE.

We recommend installing ObsPy using Anaconda. See Installation via Anaconda.

Location

The ObsPy tutorial will be held in the Multipurpose Room in the Student Community Center.

Lunch and snacks provided.

 

 

 

June
S M T W T F S
      1 2 3 4
5 6 7 8 9 10 11
12 13 14 15 16 17 18
19 20 21 22 23 24 25
26 27 28 29 30